{% extends 'base.html.twig' %}

{% block title %}Accueil - Pablo Cazin
{% endblock %}

{% block stylesheets %}
	<link rel="stylesheet" href="{{ asset('css/index.css') }}">
{% endblock %}

{% block body %}
	<header class="flex">
		<div id="header-title">
			<p>développeur</p>
			<p>passionné</p>
		</div>
		<div id="header-buttons">
			<div class="header-button">
				<img src="{{ asset('assets/cross-svgrepo-com.svg') }}">
			</div>
			<div class="header-button">
				<a href="{{ path('app_about') }}"><img src="{{ asset('assets/utilisateur.png') }}"></a>
			</div>
		</div>
	</header>

	<div id="main-title">Mes projets</div>

	{% if app.user %}
		<a href="{{ path('app_projet_content_index') }}">voir les contenues</a>				
	{% endif %}

	<div id="projets">
		{% for projet in projets %}
				<div class="projet-card">
					{% if app.user %}
						<a id="edit-button" href="{{ path('app_projet_edit', {'id': projet.id}) }}">edit</a>
					{% endif %}
                    <div class="projet-image">
			            <a href="{{ path('app_projet_show', {'id': projet.id}) }}">
                            <img class="projet-image" src="{{ projet.imagecard }}" alt="projet {{ projet.nom }}">
                        </a>
                    </div>
            
                    <div class="projet-infos">
                        <a href="{{ path('app_projet_show', {'id': projet.id}) }}">
                            <p>{{ projet.nom }}</p>
                        </a>
                        <a href="{{ path('app_projet_show', {'id': projet.id}) }}">
                            <p>{{ projet.line }}</p>
                        </a>
                    </div>
				</div>
		{% else %}
			<p>aucun projet trouvé</p>
		{% endfor %}
	</div>
{% endblock %}
